Bug 34448 - no bootsplash with Cirrus Logic GD 5446 video card (kvm)
no bootsplash with Cirrus Logic GD 5446 video card (kvm)
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 14:00 CEST by Felix Botner
Modified: 2014-06-12 09:20 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-04-03 14:00:08 CEST
No plymouth bootsplash animation on kvm machines (with Cirrus Logic GD 5446). Seems that the cirrusdrmfb driver has a problem:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1177772

As workround we could set the 'cirrus.modeset=0' kernel parameter.
Comment 1 Felix Botner univentionstaff 2014-04-04 13:20:36 CEST
Added etc/modprobe.d/ucc-cirrus.conf to univention-corporate-client to disbale modsetting for cirrus driver.

-> more /etc/modprobe.d/ucc-cirrus.conf
options cirrus modeset=0
Comment 2 Moritz Muehlenhoff univentionstaff 2014-04-14 15:22:16 CEST
With the current thin client image no bootsplash is displayed in a virtualised thin client.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-04-14 15:33:35 CEST
This was an error in my setup: We initially needed to set ucc/pxe/bootsplash=false to disable the bootsplash. When this was fixed I only made a ucr unset, which doesn't enable the bootsplash.

With the correct setting (=true, which is also the default) is works fine.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:02 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".